<!--  APIdesc.mod 1.0; 11 April 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +=========================
 |
 *-->


<!--  infotype 'API description' -->
<!ELEMENT APIdesc       (APIname,  prolog?,  APIbody,  (%info-types;)* )>
<!ATTLIST APIdesc        id ID #IMPLIED >

<!ELEMENT APIname	    (#PCDATA)*>
<!ELEMENT APIbody	    (signature,usage,parameters,refsect*)>

<!ELEMENT signature	    (sigreturns?,signame,sigparam*)>
<!ELEMENT sigreturns    (#PCDATA)*>
<!ELEMENT signame	    (#PCDATA)*>
<!ELEMENT sigparam	    (#PCDATA)*>

<!ELEMENT usage         (%section.cnt;)* >
<!ATTLIST usage label    CDATA #FIXED "Usage">

<!ELEMENT parameters    (param*)  > 
<!ATTLIST parameters     label CDATA #FIXED "Parameters">

<!ELEMENT param         (pname,pdesc?)  > 
<!ELEMENT pname         (#PCDATA)*> 
<!ELEMENT pdesc         (%desc.cnt;)*  > 

<!--specialization attribues-->

<!ATTLIST APIdesc    spec CDATA " topic.topic   reftopic.reftopic   APIdesc.APIdesc " >
<!ATTLIST APIname    spec CDATA " topic.title   reftopic.title      APIdesc.APIname " >
<!ATTLIST APIbody    spec CDATA " topic.body    reftopic.refbody    APIdesc.APIbody " >
<!ATTLIST signature  spec CDATA " topic.section reftopic.refsyn     APIdesc.signature " >
<!ATTLIST sigreturns spec CDATA " topic.ph      reftopic.synph      APIdesc.sigreturns " >
<!ATTLIST signame    spec CDATA " topic.ph      reftopic.synph      APIdesc.signame " >
<!ATTLIST sigparam   spec CDATA " topic.ph      reftopic.synph      APIdesc.sigparam " >
<!ATTLIST usage      spec CDATA " topic.section reftopic.refsect    APIdesc.usage " >
<!ATTLIST parameters spec CDATA " topic.dl      reftopic.properties APIdesc.parameters " >
<!ATTLIST param      spec CDATA " topic.dlentry reftopic.property   APIdesc.param " >
<!ATTLIST pname      spec CDATA " topic.dt      reftopic.proptype   APIdesc.pname " >
<!ATTLIST pdesc      spec CDATA " topic.dd      reftopic.propvalue  APIdesc.pdesc " >
