<!--  reftopic.mod 1.0; 26 February 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 | 22 Aug 2001 DRD added paragraph into refsynsect.cnt
 |                 added that and dl into refxmpsect.cnt
 *-->


<!--  infotype 'reference' -->
<!ENTITY % refsynsect.cnt       "synph | syntax | pre | p | dl | %txt.incl;">
<!ENTITY % refxmpsect.cnt       "#PCDATA | %full.ph;  | mmobj | pre | p | dl | %txt.incl;">

<!ELEMENT reftopic       (title,  prolog?,  refbody,  (%info-types;)* )>
<!ATTLIST reftopic        appid CDATA #IMPLIED
                          id ID #IMPLIED
                          %univ-atts;>
<!ELEMENT refbody        ((refsect | refsyn | refxmp | properties)*)>
<!ATTLIST refbody         %univ-atts;>

    <!-- general section: refsect (content is typed by the classif attribute or classdef) -->
<!ELEMENT refsect        (%section.notitle.cnt; | parml)* >
<!ATTLIST refsect         id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          title CDATA #IMPLIED>

    <!-- unique sections:  -->
<!ELEMENT refsyn         (%refsynsect.cnt;)* > <!-- syntax content -->
<!ATTLIST refsyn          id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          title CDATA #IMPLIED>

<!ELEMENT refxmp         (%refxmpsect.cnt;)* > <!-- programming examples -->
<!ATTLIST refxmp          id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          title CDATA #IMPLIED>

<!ELEMENT properties     (property+)>
<!ATTLIST properties      classif CDATA #IMPLIED
                          title CDATA #IMPLIED
                          %univ-atts;>

<!ELEMENT property       (proptype?, propvalue?)>
<!ATTLIST property        proptype CDATA #IMPLIED
                          %univ-atts;>
<!ELEMENT proptype       (%desc.cnt;)*>
<!ATTLIST proptype        %univ-atts;>
<!ELEMENT propvalue      (%desc.cnt;)*>
<!ATTLIST propvalue       %univ-atts;>


<!-- parameter list -->
<!ELEMENT parml          (plentry)+ >
<!ATTLIST parml           compact (compact) #IMPLIED
                          classif CDATA #IMPLIED
                          title CDATA #IMPLIED
                          %univ-atts;>
<!ELEMENT plentry        (pt,pd+) >
<!ATTLIST plentry         %univ-atts;>
<!ELEMENT pt             (%synph.cnt; | synph)*>
<!ATTLIST pt              %univ-atts;>
<!ELEMENT pd             (%defn.cnt;)* >        <!-- description --> 
<!ATTLIST pd              %univ-atts;>

<!--specialization attribues-->

<!ATTLIST reftopic    spec CDATA " topic.topic   reftopic.reftopic ">
<!ATTLIST refbody     spec CDATA " topic.body    reftopic.refbody ">
<!ATTLIST refsect     spec CDATA " topic.section reftopic.refsect ">
<!ATTLIST refsyn      spec CDATA " topic.section reftopic.refsyn ">
<!ATTLIST refxmp      spec CDATA " topic.xmp     reftopic.refxmp ">
<!ATTLIST properties  spec CDATA " topic.dl      reftopic.properties ">
<!ATTLIST property    spec CDATA " topic.dlentry reftopic.property ">
<!ATTLIST proptype    spec CDATA " topic.dt      reftopic.proptype ">
<!ATTLIST propvalue   spec CDATA " topic.dd      reftopic.propvalue ">
<!ATTLIST parml       spec CDATA " topic.dl      reftopic.parml ">
<!ATTLIST plentry     spec CDATA " topic.dlentry reftopic.plentry ">
<!ATTLIST pt          spec CDATA " topic.dt      reftopic.pt ">
<!ATTLIST pd          spec CDATA " topic.dd      reftopic.pd ">

