<!--  apidisplay.xsl 1.0; 22 February 2001
 | Specific override stylesheet for the APIdesc demo.
 | Inherits behavior from refdisplay.xsl, which redefines dit2htm.xsl.
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="refdisplay.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />

<xsl:template match="sigparam|*[contains(@spec,' APIdesc.sigparam ')]">
	<i>&#160;<xsl:value-of select="*|text()"/></i>
</xsl:template>

<xsl:template match="pname|*[contains(@spec,' APIdesc.pname ')]">
	<dt><u><xsl:apply-templates/></u></dt>
</xsl:template>

</xsl:stylesheet>