<!--  elementref.mod 1.0; 2 May 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 *-->


<!ELEMENT elementref     (elementname,  prolog?,  elementdesc,  (%info-types;)* )>
<!ATTLIST elementref      appid CDATA #IMPLIED
                          id ID #IMPLIED
                          %univ-atts;>

<!ELEMENT elementname    (element, longname?)>
<!ATTLIST elementname     %univ-atts;>

<!ELEMENT element        (#PCDATA | %basic.ph.noterm;)*>

<!ELEMENT longname       (#PCDATA | %basic.ph.noterm;)*>


<!ELEMENT elementdesc    ((purpose, containedby, contains, attributes?, examples))>
<!ATTLIST elementdesc     %univ-atts;>

<!ELEMENT purpose        (%section.notitle.cnt;|parml)* >
<!ATTLIST purpose         id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>

<!ELEMENT containedby    (%refsynsect.cnt;)* >

<!ELEMENT contains       (%refsynsect.cnt;)* >

<!ELEMENT attributes     (attlist|state) >

<!ELEMENT examples       (%refxmpsect.cnt;)* > <!-- programming examples -->
<!ATTLIST examples        id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>



<!-- semantic table -->
<!ELEMENT attlist        (attribute)+ >
<!ATTLIST attlist         compact (compact) #IMPLIED
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED
                          %univ-atts;>
<!ELEMENT attribute      (attname,attdesc,atttype,attdefvalue,attrequired) >
<!ATTLIST attribute       %univ-atts;>
<!ELEMENT attname        (#PCDATA | ph | link)*>       <!-- term -->
<!ATTLIST attname         %univ-atts;>
<!ELEMENT attdesc        (%defn.cnt;)* >        <!-- description --> 
<!ATTLIST attdesc         %univ-atts;>
<!ELEMENT atttype        (#PCDATA | ph | link)*>       <!-- type -->
<!ATTLIST atttype         %univ-atts;>
<!ELEMENT attdefvalue    (%data.ph; | ph | link)*>     <!-- default value -->
<!ATTLIST attdefvalue     %univ-atts;>
<!ELEMENT attrequired    (boolean|state)>            <!-- required -->

<!--specialization attribues-->

<!ATTLIST elementref      spec CDATA " topic.topic    reftopic.reftopic elementref.elementref ">
<!ATTLIST elementdesc     spec CDATA " topic.body     reftopic.refbody  elementref.elementdesc ">
<!ATTLIST elementname     spec CDATA " topic.title    reftopic.title    elementref.elementname ">
<!ATTLIST element         spec CDATA " topic.term     reftopic.term     elementref.element ">
<!ATTLIST longname        spec CDATA " topic.ph       reftopic.ph       elementref.longname ">
<!ATTLIST purpose         spec CDATA " topic.section  reftopic.refsect  elementref.purpose ">
<!ATTLIST containedby     spec CDATA " topic.section  reftopic.refsyn   elementref.containedby ">
<!ATTLIST contains        spec CDATA " topic.section  reftopic.refsyn   elementref.contains ">
<!ATTLIST attributes      spec CDATA " topic.section  reftopic.refsect  elementref.attributes ">
<!ATTLIST examples        spec CDATA " topic.xmp      reftopic.refxmp   elementref.examples ">
<!ATTLIST attlist         spec CDATA " topic.semtable reftopic.semtable elementref.attlist ">
<!ATTLIST attribute       spec CDATA " topic.semrow   reftopic.semrow   elementref.attribute ">
<!ATTLIST attname         spec CDATA " topic.sementry reftopic.sementry elementref.attname ">
<!ATTLIST attdesc         spec CDATA " topic.sementry reftopic.sementry elementref.attdesc ">
<!ATTLIST atttype         spec CDATA " topic.sementry reftopic.sementry elementref.atttype ">
<!ATTLIST attdefvalue     spec CDATA " topic.sementry reftopic.sementry elementref.attdefvalue ">
<!ATTLIST attrequired     spec CDATA " topic.sementry reftopic.sementry elementref.attrequired ">
